Status: Closed Start date: 2012-07-10
Priority: Normal Due date: 2012-10-27
Assignee: Skye Roseboom % Done: 100%
Category: d1_cn_solr_extensions Estimated time: 0.00 hour
Target version: Sprint-2012.44-Block.6.2

Milestone: CCl-1.1 Story Points:

Product Version: *

Description

In order to change and modify the schema for the CN search index backed by solr, an upgrade procedure is needed.

Solr's CoreAdminHandler provides many features to help with this - including dynamic core creation, reloading, removal and
swapping of cores. This should allow us to create our 'next' index while the current search index remains live. Once the new index is
rebuilt, solr's core admin SWAP command will atomically swap the 'current live' core with the 'next' core without interruption of
service.

http://wiki.apache.org/solr/CoreAdmin

Need to provide tooling/scripting for automating this process:

1. Delete old core by name if exists.

2. Create new core (based on live template?) Deploy new index schema.xml
3. Reload 'next' core to effect schema.xml update.

4. Index 'next' core using index build tool pointed to new core.

5. Use solr core admin "SWAP" to switch cores - 'next' with 'current/live’

6. After new core is verified - delete/remove old core.

Also need to test to ensure that the SWAP over does not interfere with index-processing as it runs (it really shouldn't).

History

#1 - 2012-07-10 20:14 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2012-08-29 17:25 - Skye Roseboom
- Target version changed from Sprint-2012.27-Block.4.2 to Sprint-2012.35-Block.5.2
- Position changed from 1 to 485

- Position set to 1

#3 - 2012-08-29 17:29 - Skye Roseboom

- Target version changed from Sprint-2012.35-Block.5.2 to Sprint-2012.37-Block.5.3
- Position changed from 1 to 487

- Position set to 1

- Position deleted (485)
#4 - 2012-10-05 16:18 - Skye Roseboom
- Due date set to 2012-10-06

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.39-Block.5.4

- translation missing: en.field_remaining_hours set to 0.0

#5 - 2012-10-09 03:40 - Skye Roseboom
http://wiki.apache.org/solr/CoreAdmin

- Description updated

#6 - 2012-10-11 15:35 - Dave Vieglais
- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1
- Due date changed from 2012-10-06 to 2012-10-27

#7 - 2012-10-24 17:24 - Skye Roseboom

- Tracker changed from Story to Feature

#8 - 2012-10-24 17:25 - Skye Roseboom

- Tracker changed from Feature to Story
#9 - 2012-10-24 18:02 - Skye Roseboom
- Estimated time set to 0.00

- Tracker changed from Story to Task

#10 - 2012-10-24 18:02 - Skye Roseboom

- Status changed from In Progress to Testing

#11 - 2012-10-24 18:07 - Skye Roseboom
- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

To be tested in staging.

#12 - 2013-01-08 17:08 - Skye Roseboom

- Status changed from Testing to Closed
